@mixin table-layout {
  width: 100%;
  border-spacing: 12px;
  table-layout: fixed;
}

@mixin cell-layout {
  text-align: center;
  div {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    width: 100%;
  }
}

:host {
  display: block;
}

.table {
  @include table-layout;

  &__child {
    padding: 12px;
  }

  td, th {
    @include cell-layout;
    width: 20%;
  }

  tr {
    box-shadow: 0 0 0 1px grey;
    margin: 4px 0;
  }
}

.child {
  @include table-layout;
  border: 1px solid grey;
  td, th {
    @include cell-layout;
    width: 50%;
  }
}
